#!/bin/bash
# (c) Andreas Lindenau DL4JAL
# Version 0.1

# Variable Strings zum Kompilieren und Programmieren
QUELLTEXT=mc
LINKERSCRIPT=/usr/local/share/gputils/lkr/16f877a_g.lkr
FASSUNG=SICSP
#FASSUNG=S28
#FASSUNG=S40
#PIC=F18
PIC=F16


if [ -e error.pic ]
then
  rm error.pic
fi
gpasm -c -w1 $QUELLTEXT.pic | tee error.pic
gplink -o $QUELLTEXT.hex -c -a inhx32 -s $LINKERSCRIPT -m $QUELLTEXT.o | tee -a error.pic
if test -s error.pic
then
  echo "Kompilieren: Es sind Fehler aufgetreten!"
  exit 1
else
  echo "Kompilieren: Fehlerfrei!"
fi
if [ $# -ne 1 ]
then
  exit 0
fi
OPTION=$1
if [ $OPTION = '-p' ]
then
  usburn -$FASSUNG -$PIC -w -H $QUELLTEXT.hex
fi
exit 0

